curl --request POST \
--url https://api.arize.com/v2/dashboards/{dashboard_id}/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "TEXT",
"title": "Investigation notes",
"content": "## Findings\nReview the latest evaluation results."
}
'import requests
url = "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets"
payload = {
"type": "TEXT",
"title": "Investigation notes",
"content": "## Findings
Review the latest evaluation results."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'TEXT',
title: 'Investigation notes',
content: '## Findings\nReview the latest evaluation results.'
})
};
fetch('https://api.arize.com/v2/dashboards/{dashboard_id}/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'TEXT',
'title' => 'Investigation notes',
'content' => '## Findings
Review the latest evaluation results.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets"
payload := strings.NewReader("{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.arize.com/v2/dashboards/{dashboard_id}/widgets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/dashboards/{dashboard_id}/widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}"
response = http.request(request)
puts response.read_bodyCreate a dashboard widget
Create a widget on a dashboard. The caller must have permission to update the
dashboard. If grid_position is omitted, the next available position is
assigned. New widgets are published by default.
grid_position uses 1-based CSS grid lines in the order
[rowStart, colStart, rowEnd, colEnd]. End lines must be greater than their
corresponding start lines, and colEnd must not exceed 13.
Comparison plots can reference an existing model baseline with
comparison_model_baseline_id. Creating custom or filtered baseline
definitions is not supported by this endpoint.
curl --request POST \
--url https://api.arize.com/v2/dashboards/{dashboard_id}/widgets \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"type": "TEXT",
"title": "Investigation notes",
"content": "## Findings\nReview the latest evaluation results."
}
'import requests
url = "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets"
payload = {
"type": "TEXT",
"title": "Investigation notes",
"content": "## Findings
Review the latest evaluation results."
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
type: 'TEXT',
title: 'Investigation notes',
content: '## Findings\nReview the latest evaluation results.'
})
};
fetch('https://api.arize.com/v2/dashboards/{dashboard_id}/widgets', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'type' => 'TEXT',
'title' => 'Investigation notes',
'content' => '## Findings
Review the latest evaluation results.'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.arize.com/v2/dashboards/{dashboard_id}/widgets"
payload := strings.NewReader("{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.arize.com/v2/dashboards/{dashboard_id}/widgets")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.arize.com/v2/dashboards/{dashboard_id}/widgets")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"type\": \"TEXT\",\n \"title\": \"Investigation notes\",\n \"content\": \"## Findings\\nReview the latest evaluation results.\"\n}"
response = http.request(request)
puts response.read_bodyAuthorizations
Most Arize AI endpoints require authentication. For those endpoints that require authentication, include your API key in the request header using the format
Service accounts may instead present an access token issued by an external identity provider (Microsoft Entra ID) when the account admin has configured that provider. Send it in the same header: Authorization: Bearer <access-token>.
Path Parameters
Body
Body containing dashboard widget creation parameters.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
Request to create a dashboard widget with its type-specific configuration.
Response
Returns one dashboard widget with its type-specific configuration.
- Option 1
- Option 2
- Option 3
- Option 4
- Option 5
- Option 6
A dashboard widget and its type-specific saved configuration.
Was this page helpful?